package com.zcxk.process.dao;


import com.zcxk.process.entity.WorkflowAssignUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WorkflowAssignUserMapper {
    int insert(@Param("workflowAssignUser") WorkflowAssignUser workflowAssignUser);

    int insertSelective(@Param("workflowAssignUser") WorkflowAssignUser workflowAssignUser);

    int insertList(@Param("workflowAssignUsers") List<WorkflowAssignUser> workflowAssignUsers);

    int updateByPrimaryKeySelective(@Param("workflowAssignUser") WorkflowAssignUser workflowAssignUser);

    WorkflowAssignUser singleQuery(@Param("workflowAssignUser") WorkflowAssignUser workflowAssignUser);
}
